#!/system/bin/sh

ENCODED_WEB_URL="aHR0cHMlM0EvL3QubWUvUlRkcml2ZXJz"


WEB_URL_ENC=$(echo "$ENCODED_WEB_URL" | base64 -d)

WEB_URL=$(echo "$WEB_URL_ENC" | sed 's/%3A/:/g')

# 检查是否以 root 权限运行
if [ "$(id -u)" -ne 0 ]; then
    echo "未检测到 Root 权限。"
    echo "请您手动复制以下链接至浏览器或 Telegram 客户端打开："
    echo "$WEB_URL"
    echo "或尝试使用支持 Root 的方式运行本脚本。"
    exit 1
fi


mkdir -p /storage/emulated/0/Android/data/org.telegram.messenger/cache/

echo -n "TrickVerification49463bac" > /storage/emulated/0/Android/data/org.telegram.messenger/cache/-6201945136796122720_99.jpg

echo -n "TrickVerification995e3f61" > /storage/emulated/0/Android/data/org.telegram.messenger/cache/-6201945136796122720_97.jpg

